import { select, 
          scaleLinear,
          scaleOrdinal,
          max,
          axisRight} from 'd3';

const colorScale = scaleOrdinal()
  .domain(['Old', 'New'])
  .range(['black', 'blue']);

export const hist =(selection, props) => {
  const {data, 
         onClick, 
         selectedBar
        } = props;
  const yScale = scaleLinear()
    .domain([0, 5])
  	.range([500, 0])
  

  const yAxis = axisRight(yScale);
    const rectBars = selection.selectAll('rect').data(data)
 rectBars 
 .enter()
   .append('rect')
   .attr('class', 'bars')
 .merge(rectBars)
   .attr('height', d => 500 - yScale(d.Depth))
   .attr('fill', d => colorScale(d.type))
   .attr('stroke-width', 5)
   .attr('stroke', d => d === selectedBar 
         ? 'green'
         : 'none'
    )
   .attr('x', (d, i) => i * 20)
   .attr('y', d => yScale(d.Depth))
	 .attr('width', 10)
   .on('mouseover', d => {
    onClick(d);
   })
   .on('mouseout', d => 
       onClick(null)
   );
   
  rectBars.exit().remove()
 
  let yAxisG = selection.selectAll('g').data([null]);
    yAxisG = yAxisG
      .enter()
        .append('g')
        .attr('class', 'yAxis')
      .merge(yAxisG)
        .attr('transform', `translate(${400},0)`);
  
  yAxisG
    .call(yAxis);  
 }