import { select, 
          scaleLinear,
          scaleOrdinal,
          scalePoint,
          max,
          axisLeft} from 'd3';

const colorScale = scaleOrdinal()
  .domain(['Old', 'New'])
  .range(['black', 'blue']);

export const scatterPlot =(selection, props) => {
  const {data, 
         onClick, 
         selectedBar
        } = props;
  const yScale = scaleLinear()
    .domain([0, 5])
  	.range([500, 0])
  

  const yAxis = axisLeft(yScale);
    const rectBars = selection.selectAll('circle').data(data)
 rectBars 
 .enter()
   .append('circle')
   .attr('class', 'bars')
 .merge(rectBars)
   .attr('r', d => 10)
   .attr('fill', d => colorScale(d.type))
   .attr('stroke-width', 5)
   .attr('stroke', d => d === selectedBar 
         ? 'green'
         : 'none'
    )
   .attr('cx', (d, i) => i * 20)
   .attr('cy', d => yScale(d.Depth))
   .on('mouseover', d => onClick(d))
   .on('mouseout', d => onClick(null))
   
  rectBars.exit().remove()
 
  let yAxisG = selection.selectAll('g').data([null]);
    yAxisG = yAxisG
      .enter()
        .append('g')
        .attr('class', 'yAxis')
      .merge(yAxisG);
  
  yAxisG
    .call(yAxis);  
 }